=== debian/changelog ===
ros-eloquent-rmw-fastrtps-shared-cpp (0.8.2-1bionic) bionic; urgency=high

  * Remove unused headers MessageTypeSupport.hpp and ServiceTypeSupport.hpp (#481 <https://github.com/ros2/rmw_fastrtps/issues/481>) (#483 <https://github.com/ros2/rmw_fastrtps/issues/483>)
  * Update maintainer list for Eloquent (#473 <https://github.com/ros2/rmw_fastrtps/issues/473>)
  * Contributors: Jacob Perron, Michael Jeronimo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rmw-fastrtps-shared-cpp (0.8.1-1bionic) bionic; urgency=high

  * Restrict traffic to localhost only if env var is provided (#331 <https://github.com/ros2/rmw_fastrtps/issues/331>)
  * Added new functions which can be used to get rmw_qos_profile_t from WriterQos and ReaderQos (#328 <https://github.com/ros2/rmw_fastrtps/issues/328>)
  * Renamed dds_qos_to_rmw_qos to dds_attributes_to_rmw_qos (#330 <https://github.com/ros2/rmw_fastrtps/issues/330>)
  * Contributors: Brian Marchi, jaisontj

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-shared-cpp (0.8.0-1bionic) bionic; urgency=high

  * Correct error message (#320 <https://github.com/ros2/rmw_fastrtps/issues/320>)
  * Return specific error code when node is not found (#311 <https://github.com/ros2/rmw_fastrtps/issues/311>)
  * Correct linter failure (#318 <https://github.com/ros2/rmw_fastrtps/issues/318>)
  * Fix bug in graph API by node (#316 <https://github.com/ros2/rmw_fastrtps/issues/316>)
  * fix method name change from 1.8.1->1.9.0 (#302 <https://github.com/ros2/rmw_fastrtps/issues/302>)
  * Add missing lock guards for discovered_names and discovered_namespaces (#301 <https://github.com/ros2/rmw_fastrtps/issues/301>)
  * Add function for getting clients by node (#293 <https://github.com/ros2/rmw_fastrtps/issues/293>)
  * Enable manual_by_node and node liveliness assertion (#298 <https://github.com/ros2/rmw_fastrtps/issues/298>)
  * Enable assert liveliness on publisher. (#296 <https://github.com/ros2/rmw_fastrtps/issues/296>)
  * Use rcpputils::find_and_replace instead of std::regex_replace (#291 <https://github.com/ros2/rmw_fastrtps/issues/291>)
  * Fix a comparison with a sign mismatch (#288 <https://github.com/ros2/rmw_fastrtps/issues/288>)
  * Implement get_actual_qos() for subscriptions (#287 <https://github.com/ros2/rmw_fastrtps/issues/287>)
  * add missing qos setings in get_actual_qos() (#284 <https://github.com/ros2/rmw_fastrtps/issues/284>)
  * Fix ABBA deadlock.
  * Contributors: Chris Lalancette, Emerson Knapp, Jacob Perron, M. M, Scott K Logan, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-shared-cpp (0.7.3-1bionic) bionic; urgency=high

  * Protection of discovered_names and discovered_namespaces (#283 <https://github.com/ros2/rmw_fastrtps/issues/283>)
  * Disable all liveliness until it is actually supported (#282 <https://github.com/ros2/rmw_fastrtps/issues/282>)
  * Contributors: Emerson Knapp, MiguelCompany

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-shared-cpp (0.7.2-1bionic) bionic; urgency=high

  * fix log_debug typo in rmw_count (#279 <https://github.com/ros2/rmw_fastrtps/issues/279>)
  * Fastrtps18 event callbacks policies (#275 <https://github.com/ros2/rmw_fastrtps/issues/275>)
  * Centralize topic name creation logic and update to match FastRTPS 1.8 API (#272 <https://github.com/ros2/rmw_fastrtps/issues/272>)
  * Contributors: 1r0b1n0, Emerson Knapp, Nick Burek

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-shared-cpp (0.7.1-1bionic) bionic; urgency=high

  * Support arbitrary message namespaces  (#266 <https://github.com/ros2/rmw_fastrtps/issues/266>)
  * Set more correct return values for unimplemented features (#276 <https://github.com/ros2/rmw_fastrtps/issues/276>)
  * Add qos interfaces with no-op (#271 <https://github.com/ros2/rmw_fastrtps/issues/271>)
  * Updates for preallocation API. (#274 <https://github.com/ros2/rmw_fastrtps/issues/274>)
  * Fix logging in rmw_node_info_and_types.cpp (#273 <https://github.com/ros2/rmw_fastrtps/issues/273>)
  * Contributors: Emerson Knapp, Jacob Perron, Michael Carroll, Ross Desmond, Thomas Moulard

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-shared-cpp (0.7.0-1bionic) bionic; urgency=high

  * Thread safety annotation - minimally intrusive first pass (#259 <https://github.com/ros2/rmw_fastrtps/issues/259>)
  * Add function to get publisher actual qos settings (#267 <https://github.com/ros2/rmw_fastrtps/issues/267>)
  * Fixed race condition between taking sample and updating counter. (#264 <https://github.com/ros2/rmw_fastrtps/issues/264>)
  * Fix cpplint error
  * change count type to size_t to avoid warning (#262 <https://github.com/ros2/rmw_fastrtps/issues/262>)
  * update listener logic for accurate counting (#262 <https://github.com/ros2/rmw_fastrtps/issues/262>)
  * Make sure to include the C++ headers used by these headers. (#256 <https://github.com/ros2/rmw_fastrtps/issues/256>)
  * pass context to wait set and fini context (#252 <https://github.com/ros2/rmw_fastrtps/issues/252>)
  * Improve service_is_available logic to protect that client is waiting forever (#238 <https://github.com/ros2/rmw_fastrtps/issues/238>)
  * Merge pull request #250 <https://github.com/ros2/rmw_fastrtps/issues/250> from ros2/support_static_lib
  * use namespace_prefix from shared package
  * make namespace_prefix header public
  * Use empty() to check for an empty string (#247 <https://github.com/ros2/rmw_fastrtps/issues/247>)
  * We can compare a std::string with a const char* using operator==, simplifies the code (#248 <https://github.com/ros2/rmw_fastrtps/issues/248>)

